:root {
  --light: #ddd;
  --dark: #333;
  --neutral: #aaa;
}

body {
    font-family: Merriweather;
}

body, html {
    margin: 0;
}

.content {
    padding: 8px;
}

h2 {
    margin: 0;
}

.mainTitle {
	font-weight:300;
	text-align:center;
	font-size:60px;
	margin-bottom:0px;
	padding-top:10px;
	padding-bottom:0px;
	margin-top:0;
	background:#333;
	color:#fff;
	font-family: 'Great Vibes';
}

a.home {
    text-decoration: none;
}

.monthTable {
    border-collapse: collapse;
}

.monthTable th, .monthTable td {
    border: 1px solid #232323;
    padding: 2px 4px;
    text-align: center;
    font-size: 12px;
    width: 44px;
    height: 44px;
    position: relative;
}

.monthTable th {
    background-color: #676767;
    color: white;
}

.calendar {
    display: flex;
    gap: 16px;
    width: 100%;
    flex-wrap: wrap;
}

.month label {
    font-weight: 700;
    font-size: 14px;
}

.calendar td span.date {
    display: block;
    font-size: 8px;
    background: var(--light);
    padding: 2px;
    width: 10px;
    height: 10px;
    position: absolute;
    top: 0px;
    right: 0px;
}

.calendar td span.date:empty {
    background: transparent;
}

.calEntry {
    width: 14px;
    height: 14px;
    display: inline-block;
    position: relative;
    background: #f99;
    margin: 0 2px;
    border-radius: 2px;
    padding: 2px;
}

.calEntry.teātris:before {
    content: '🎭';
}

.calEntry.koncerts:before {
    content: '🎵';
}

.calEntry.sports:before {
    content: '⚽️';
}

.calEntry.cits:before {
    content: '🎯';
}

.popup {
    display: none;
    position: absolute;
    padding: 4px;
    border: 1px solid #999;
    background-color: white;
    z-index: 1;
    top: 14px;
    border-radius: 4px;
    text-align: left;
    min-width: 200px;
}

td:nth-child(n + 5) .popup {
    right: 0px;
}

.calEntry:hover .popup {
    display: flex;
    gap: 4px;
    flex-direction: column;
}

.popup .tips {
    color: --var(dark);
    font-size: smaller;
}

.popup .title {
    font-size: larger;
}

.popup a {
    color: var(--dark);
    font-weight: 500;
}

.explain {
    color: var(--light);
    position: absolute;
    right: 8px;
    top: 30px;
}

.explain a {
    color: var(--light);
}

.about {
    display: flex;
    gap: 8px;
    flex-direction: column;
    margin: 8px;
}

.about .description {
    margin-bottom: 20px;
}

.empty {
    background: #ccc;
}

.past {
    background: #ccc;
}

@media screen and (max-width: 800px) {
    .mainTitle {
        font-size: 40px;
    }

    .explain {
        font-size: 12px;
    }
}

.month {
    width: 30%;
}

.monthTable {
    width: 100%;
}

@media screen and (max-width: 1400px) {
    .month {
        width: 48%;
    }

    .monthTable {
        width: 100%;
    }
}

@media screen and (max-width: 775px) {
    .month {
        width: 100%;
    }

    .monthTable {
        width: 100%;
    }
}